"use client"
import Image from 'next/image'
import Link from 'next/link'
import React, { useState } from 'react'
import { EvaluatorProfileTab } from '@/components/modules/EvaluatorProfile/EvaluatorProfileTab'
import { DocumentTab } from '@/components/modules/EvaluatorProfile/DocumentTab'
import { SaleTab } from '@/components/modules/EvaluatorProfile/SaleTab' 
import { PropertyEvaluationTab } from '@/components/modules/EvaluatorProfile/PropertyEvaluationTab' 
import { CarsEvaluationTab } from '@/components/modules/EvaluatorProfile/CarsEvaluationTab'
import { BoatEvaluationTab } from '@/components/modules/EvaluatorProfile/BoatEvaluationTab' 
import { JewelleryEvaluationTab } from '@/components/modules/EvaluatorProfile/JewelleryEvaluationTab'
import { EvaluationTab } from '@/components/modules/EvaluatorProfile/EvaluationTab'
import { TransactionTrackerTab} from '@/components/modules/EvaluatorProfile/TransactionTrackerTab'
import { ClosedCaseTab} from '@/components/modules/EvaluatorProfile/ClosedCaseTab'
 import { PrimaryProtocol, PrimaryLogout, PrimaryAssignIcon, PrimaryDocument, TrackIcon,PrimaryAssetDocument, DropIcon, PrimaryPassword, PrimaryTickTok, PrimaryFacebook, PrimaryInsta, PrimarySecurity, PrimaryProfile, PrimaryListing, PrimaryElectronic, PrimaryTwitter, PrimaryLinkdIn } from '@/components/Icons'
export default function Property() {
  const [selectedTabIdx, setSelectedTabIdx] = useState(3);
  const [isDropdownOpen, setIsDropdownOpen] = useState(false);

  const handleDropdownToggle = () => {
    setIsDropdownOpen(!isDropdownOpen);
  };

  const tabs = [
      { icon: <PrimaryProfile />, name: "Evaluator Profile", link: "/evaluator-profile" },
    { icon: <TrackIcon />, name: "Closed Case ", link: "/evaluator-profile/closed-cases" },
    { icon: <TrackIcon />, name: "Transaction Tracker", link: "/evaluator-profile/transaction-tracker" },
    {
        icon: <PrimaryAssetDocument />, name: "Asset Evaluation", link: "", dropdown: [
            { name: "Property Evaluation", link: "/evaluator-profile/property-evaluation" },
            { name: "Cars Evaluation", link: "/evaluator-profile/cars-evaluation" },
            { name: "Boat Evaluation", link: "/evaluator-profile/boat-evaluation" },
            { name: "Jewellery Evaluation", link: "/evaluator-profile/jewellery-evaluation" }
        ]
    },
    { icon: <PrimaryDocument />, name: "Documents Storage", link: "/evaluator-profile/documents-storage" },
    { icon: <PrimarySecurity />, name: "Security", link: "/seller-profile/security" },
    { icon: <PrimaryLogout />, name: "Sign Out", link: "#" },
  ];

  return (
    <div className='theme-container !py-8 flex flex-col md:flex-row gap-7'>
      <div className='flex flex-col gap-7 m:min-w-[385px]'>
        <div className='custom-shadow flex justify-center items-center flex-col py-6 rounded'>
        <figure className='bg-whiteSmoke  rounded-full h-[184px] w-[184px] '>
            <Image src='/evaluator.png' alt="Profile" height={184} width={184} className="mb-5 rounded-full bottom-0" />
          </figure>
          <h1 className='text-prussianBlue font-semibold text-3xl'>Evaluator</h1>
          <h2 className='text-2xl text-prussianBlue mb-3'>Areez dev</h2>
          <div className='flex gap-3'>
            <Link href='#'><PrimaryFacebook className='h-[17px] w-[17px]' /></Link>
            <Link href='#'><PrimaryInsta className='h-[17px] w-[17px]' /></Link>
            <Link href='#'><PrimaryLinkdIn className='h-[17px] w-[17px]' /></Link>
            <Link href='#'><PrimaryTwitter className='h-[17px] w-[17px]' /></Link>
            <Link href='#'><PrimaryTickTok className='h-[17px] w-[17px]' /></Link>
          </div>
        </div>
        <div className='flex flex-col custom-shadow rounded py-5'>
          <div>
            <nav className="flex flex-col" aria-label="Tabs">
              {tabs.map((tab, i) => (
                tab.dropdown ? (
                  <div key={tab.name} className="relative">
                    <div
                      className={`${i === selectedTabIdx ? "bg-whiteSmoke font-medium  focus:outline-none" : "border-transparent"
                        } whitespace-nowrap flex gap-3 hover:bg-whiteSmoke hover:text-prussianBlue items-center py-2 px-8 cursor-pointer sm:text-xl`}
                      onClick={() => {
                        setSelectedTabIdx(i);
                        handleDropdownToggle();
                      }}
                    >
                      {tab.icon}
                      {tab.name}
                      <span className='ml-auto'><DropIcon /></span>
                    </div>
                    {isDropdownOpen && (
                      <div className="bg-whiteSmoke rounded-md ">
                        {tab.dropdown.map((item, idx) => (
                          <Link
                            key={idx}
                            href={item.link}
                            className="block py-2 px-14  text-black  hover:bg-white cursor-pointer"
                          >
                            {item.name}
                          </Link>
                        ))}
                      </div>
                    )}
                  </div>
                ) : (
                  <Link
                    href={tab.link}
                    key={tab.name}
                    className={`${i === selectedTabIdx ? "bg-whiteSmoke text-prussianBlue font-medium focus:outline-none" : "border-transparent"
                      } whitespace-nowrap flex gap-3 hover:bg-whiteSmoke hover:text-prussianBlue items-center py-2 px-8 cursor-pointer sm:text-xl`}
                    onClick={() => setSelectedTabIdx(i)}
                  >
                    {tab.icon}
                    {tab.name}
                  </Link>
                )
              ))}
            </nav>
          </div>
        </div>
      </div>
      <div className='grow'>
      {selectedTabIdx === 0 && (
          <EvaluatorProfileTab  />
        )}

         {selectedTabIdx === 1 && (
          < ClosedCaseTab />
        )}
         {selectedTabIdx === 2 && (
          <TransactionTrackerTab  />
        )}
  
        {selectedTabIdx === 3 && (
          <EvaluationTab />
        )}
        {selectedTabIdx === 4 && (
          <PropertyEvaluationTab />
        )}
        {selectedTabIdx === 5  && (
          <CarsEvaluationTab />
        )}
        {selectedTabIdx === 6  && (
          <BoatEvaluationTab />
        )}
        {selectedTabIdx === 7  && (
          <JewelleryEvaluationTab />
        )}
        {selectedTabIdx === 8  && (
          <DocumentTab />
        )}
        {selectedTabIdx === 9 && (
          <SaleTab />
        )}
      </div>
    </div>
  )
}
